NYTIDY(1)

NAME
nytidy - tool to clean up specialized-format patches

SYNOPSIS
nytidy old new options [ print ] [ .go ]

DESCRIPTION

nytidy is a tool in the Nypatchy suite of programs for working with Patchy Master Files (PAM files); see nypatchy(1). Specifically, it will make a cleaned-up copy of a PAM file. Changes include removal of trailing whitespace on each line, removal of trailing and leading comment lines (only in FORTRAN decks), and update of some built-in sequences.

USAGE
The parameter old is the name of the original PAM file (a default extension of ".car" is assumed), while new is the name of the new cleaned PAM file to create. (If new is not given or is given as "-" then the original file will be overwritten; this may be dangerous.) print is the file to which informational messages should be written (the default is standard output if omitted), and options is a sequence of single-character flags.

The command should be ended with ".go" unless one wants to enter the Nypatchy interactive shell.

OPTIONS

Note that options should be given as a single string of characters with no space separation and no use of the - character (except that it can be used in place of the options field if no options are desired). Alphabetic options are not case-sensitive.

C   Assume the original file is a CMZ output file.

H   Print help information only.

V   "verbose" - Print each change.

+   Inhibit the initial page-eject.

SEE ALSO
fcasplit(1), nycheck(1), nydiff(1), nyindex(1), nylist(1), nymerge(1), nypatchy(1), nyshell(1), nysynopt(1), yexpand(1)

The reference manual for the Nypatchy suite of programs is available in compressed PostScript format at the following URL:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/p5refman.ps.gz

Running the command "nytidy help .no" also gives some brief help on usage.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). It is licensed under the GNU General Public License, version 2 or later (at your choice).

COPYRIGHT
Copyright (C) Kevin B. McCarty, 2008.